Index: /trunk/language/el_GR/help/help_permissions.html
===================================================================
--- /trunk/language/el_GR/help/help_permissions.html	(revision 15483)
+++ /trunk/language/el_GR/help/help_permissions.html	(revision 15484)
@@ -11,46 +11,46 @@
 </ol>
 
-<p>Higher levels have permissions on lower levels. For a given user, the higher the privacy level, the more photos he can see.</p>
+<p>Τα υψηλότερα επίπεδα έχουν δικαιώματα σε χαμηλότερα επίπεδα. Για ένα συγκεκριμένο χρήστη, όσο υψηλότερο είναι το επίπεδο προστασίας της ιδιωτικότητας, τόσο περισσότερες φωτογραφίες μπορεί να δει.</p>
 
-<p>For example, if photo "peter_wedding-0024.jpg" has <em>"Family"</em> privacy level, then:</p>
+<p>Για παράδειγμα, εάν η φωτογραφία "peter_wedding-0024.jpg" έχει δικαιώματα <em>"Οικογένεια"</em>, Τότε:</p>
 <ul>
-  <li>Peter (who is an <em>"Admin"</em>) will see the photo because <em>"Admins"</em> can see all photos</li>
-  <li>Beth (who is a <em>"Family"</em> member) will also see the photo</li>
-  <li>Mary (who is just a <em>"Friend"</em>) won't see the photo</li>
+  <li>Πέτερ (που είναι <em>"Διαχειριστής"</em>) Θα δεί τη φωτογραφία γιατί <em>"Διαχειριστές"</em> μπορούν να δουν όλες τις φωτογραφίες</li>
+  <li>Μπεθ (που είναι μέλος στο <em>"Οικογένεια"</em> ) επίσης θα δει τις φωτογραφίες</li>
+  <li>Μαίρη(που είναι μια <em>"Φίλη"</em>) δεν θα δει τις φωτογραφίες</li>
 </ul>
 
-<p>A user that has no permission to see the content of a album won't see the album itself, not even its title. The same principle applies to a tag.</p>
+<p>Ένας χρήστης που δεν έχει άδεια για να δεί το περιεχόμενο του λευκώματος δεν θα δεί το ίδιο το λεύκωμα, ούτε καν τον τίτλο του. Η ίδια αρχή ισχύει και για μια ετικέτα.</p>
 
-<p>You can set the privacy level of a user on <span class="pwgScreen">Administration &raquo; Users &raquo; Manage</span> screen.</p>
+<p>Μπορείτε να ρυθμίσετε το επίπεδο προστασίας της ιδιωτικότητας του χρήστη πάτε στην οθόνη <span class="pwgScreen">Διαχείριση &raquo; Χρήστες &raquo; Διαχειριστείτε </span>.</p>
 
 </fieldset>
 
 <fieldset>
-<legend>Permissions on albums</legend>
+<legend>Δικαιώματα για τα Λευκώματα</legend>
 
-<p>If privacy levels do not fit your needs, you can also manage permissions on albums for a user or a group. You can manage permissions on photos and albums at the same time, without conflict.</p>
+<p>Αν τα επίπεδα της ιδιωτικότητας δεν ταιριάζει στις ανάγκες σας, μπορείτε επίσης να διαχειριστείτε δικαιώματα στα λευκώματα για ένα χρήστη ή μια ομάδα. Μπορείτε να διαχειρίζεστε δικαιώματα για τις φωτογραφίες και τα λευκώματα ταυτόχρονα, χωρίς διενέξεις.</p>
 
-<p>You can forbid access to albums. Switch the album access type to
-"private" if you want to manage permissions.</p>
+<p>Μπορείτε να απαγορεύσετε την πρόσβαση στα λευκώματα. Ενεργοποιήστε τον τύπο πρόσβασης στο λεύκωμα
+σε "ιδιωτικό" αν θέλετε να διαχειριστείτε δικαιώματα.</p>
 
-<p>You can set a album to private by editing a single album
-(<span class="pwgScreen">Administration &raquo; Albums &raquo; Manage
-&raquo; edit</span>) or by setting options to your whole album tree
-(<span class="pwgScreen">Administration &raquo; Albums &raquo;
-Properties &raquo; Public / Private</span>).</p>
+<p>Μπορείτε να ορίσετε ένα λεύκωμα ως ιδιωτικό με επεξεργασία κάποιου λευκώματος
+(<span class="pwgScreen">Διαχείριση &raquo; Λευκώματα &raquo; Διαχειριστείτε
+&raquo; Επεξεργαστείτε </span>) ή με τη ρύθμιση των επιλογών για όλο το δέντρο του λευκώματός σας
+(<span class="pwgScreen">Διαχείριση &raquo; Λευκώματα &raquo;
+Ιδιότητες &raquo; Δημόσιο / Ιδιωτικό</span>).</p>
 
-<p>Once the album is private, you can manage permissions for groups and
-users with 3 screens:</p>
+<p>Έτσι και το άλμπουμ είναι ιδιωτικό, μπορείτε να διαχειριστείτε δικαιώματα για τις ομάδες και
+τους χρήστες με 3 οθόνες:</p>
 
 <ul>
 
-  <li><span class="pwgScreen">Administration &raquo; Users &raquo; Manage &raquo;
-  permissions action</span> (one link per user)</li>
+  <li><span class="pwgScreen">Διαχείριση &raquo; Χρήστες &raquo; Διαχειριστείτε &raquo;
+  δράση δικαιωμάτων </span> (μία σύνδεση ανά χρήστη)</li>
 
-  <li><span class="pwgScreen">Administration &raquo; Users &raquo; Groups &raquo;
-  permissions action</span> (one link per group)</li>
+  <li><span class="pwgScreen">Διαχείριση &raquo; Χρήστες &raquo; Ομάδες &raquo;
+  δράση δικαιωμάτων</span> (μία σύνδεση ανά χρήστη)</li>
 
-  <li><span class="pwgScreen">Administration &raquo; Albums &raquo; Manage &raquo; edit
-  album permissions action</span> (one link per album)</li>
+  <li><span class="pwgScreen">Διαχείριση &raquo; Λευκώματα &raquo; Διαχειριστείτε &raquo; επεξεργαστείτε
+  δράση δικαιωμάτων λευκώματος</span> (μία σύνδεση ανά χρήστη)</li>
 
 </ul>
Index: /trunk/language/el_GR/help/help_virtual_links.html
===================================================================
--- /trunk/language/el_GR/help/help_virtual_links.html	(revision 15484)
+++ /trunk/language/el_GR/help/help_virtual_links.html	(revision 15484)
@@ -0,0 +1,12 @@
+<p>Οι φωτογραφίες εμφανίζονται στο λεύκωμα που αντιστοιχεί στο κατάλογο
+του αρχείου τους.</p>
+
+<p>Μπορείτε επίσης να εμφανίσετε μια φωτογραφία σε διάφορα λευκώματα, χωρίς διπλοκαλύψεις
+του αρχείου στον web server σας. Συσχετίστε τη φωτογραφία σε λεύκωμα από την
+οθόνη επεξεργασίας φωτογραφιών (ότι κάθε διαχειριστής μπορεί να φτάσει από τη σελίδα της φωτογραφίας
+από την πλευρά της γκαλερί).</p>
+
+<p>Τα εικονικά λευκώματα βασίζοται στην έννοια αυτή: δεν έχουν αντίστοιχους
+καταλόγους. Δημιουργία εικονικού λευκώματος
+από <span class="pwgScreen">Διαχείριση &raquo; Λευκώματα &raquo;
+Διαχειριστείται</span>.</p>
Index: /trunk/language/el_GR/help/history.html
===================================================================
--- /trunk/language/el_GR/help/history.html	(revision 15484)
+++ /trunk/language/el_GR/help/history.html	(revision 15484)
@@ -0,0 +1,22 @@
+<h2>Ιστορικό</h2>
+
+<p>Σε αυτές τις οθόνες, μπορείτε να παρακολουθείτε το ιστορικό των επισκέψεων της γκαλερί σας σύμφωνα με τις επιλογές έχετε επιλέξει στο: Διαχείρηση &raquo; Διαμόρφωση &raquo; Επιλογές &raquo; Ιστορικό</p>
+	
+<h3>Στατιστικά</h3>
+<ul>
+  <p>Εάν έχετε επιλέξει να καταγράφονται τις σελίδες που επισκέπτονται (<span class="pwgScreen">index.php</span> and <span class="pwgScreen">picture.php</span>), μπορείτε να τους παρακολουθείται από αυτήν την καρτέλα..</p>
+	<li><strong>Παγκόσμια στατιστικά</strong>: επισκέψεις ανά έτος. </li>
+	<li><strong>Ετήσιες στατιστικά</strong>: επισκέψεις ανά μήνα του επιλεγμένου έτους.</li>
+	<li><strong>Μηνιαία στατιστικά</strong>: επισκέψεις ανά ημέρα στον επιλεγμένο μήνα .</li>
+	<li><strong>Ημερήσια στατιστικά</strong>: επισκέψεις ανά ώρα στην επιλεγμένη ημέρα.</li>
+</ul>
+
+<h3>Αναζήτηση</h3>
+<ul>
+  <p>Εάν έχετε επιλέξει να καταγράφονται οι σελίδες που επισκέπτονται(<span class="pwgScreen">index.php</span> and <span class="pwgScreen">picture.php</span>), μπορείτε να δείτε τα στοιχεία από αυτή την καρτέλα με τη βοήθεια διαφόρων φίλτρων.</p>
+	<li><strong>Φιλτράρισμα με ημερομηνία:</strong> επιλέξτε το εύρος ημερομηνιών αναζήτησης θέτοντας ημερομηνίες έναρξης και λήξης.</li>
+	<li><strong>Φιλτράρισμα με βάση τον τύπο του στοιχείου:</strong> επιλέξτε τον τύπο των στοιχείων για τις στατιστικές σχετικά με αυτό το στοιχείο.</li>
+	<li><strong>Φιλτράρισμα με βάση τον χρήστη:</strong> επιλέξετε τον χρήστη για τις στατιστικές σχετικά με το συγκεκριμένο χρήστη.</li>
+	<li><strong>Φιλτράρισμα με βάση τον αναγνωριστικό εικόνας:</strong> επιλέξτε το αναγνωριστικό εικόνας για τις στατιστικές σχετικά με αυτή την εικόνα.</li>
+	<li><strong>Φιλτράρισμα με βάση το όνομα του αρχείου:</strong> επιλέξετε το όνομα αρχείου για τις στατιστικές σχετικά με αυτό το αρχείο. </li>
+</ul>