Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 15485)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 15486)
@@ -893,6 +893,6 @@
 $lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'نرم افزار Shotwell را بر روی لینوکس خود نصب کرده و افزونه ی انتشار Piwigo را فعال کنید.';
 $lang['Piwigo Publish plugin for Lightroom'] = 'افزونه ی انتشار Piwigo برای Photoshop Lightroom';
-$lang['Piwigo export plugin for Aperture'] = 'افزونه ی صادر کردن Piwigo برای Aperture';
-$lang['Piwigo export plugin for iPhoto'] = 'افزونه ی صادر کردن Piwigo برای iPhone';
+$lang['Piwigo export plugin for Aperture'] = 'افزونه ی فرستنده ی Piwigo برای Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'افزونه ی فرستنده ی Piwigo برای iPhoto';
 $lang['Piwigo publish plugin for Shotwell'] = 'افزونه ی انتشار Piwigo برای Shotwell';
 $lang['Piwigo publish plugin for digiKam'] = 'افزونه ی انتشار Piwigo برای digiKam';
@@ -900,3 +900,26 @@
 $lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'افزونه ی انتشار Piwigo به شما این امکان را می دهد تا عکس های خود را از Photoshop Lightroom بطور مستقیم همگام سازی کرده و وارد گالری Piwigo خود کنید.';
 $lang['There is no group in this gallery.'] = 'هیچ گروهی در این گالری وجود ندارد.';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u کاربر دسترسی خودکار پیدا کردند زیرا آنها وابسته به گروهی که دسترسی دارد هستند.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture یک ابزار قدرتمند برای ترمیم عکس ها و مدیریت کتابخانه های فشرده در سیستم عامل Mac می باشد.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture برای عکاس های حرفه ای که از iPhoto استفاده می کنند طراحی شده است.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'نقطه ی طلایی (Center of Interest) بطور پیشفرض، در وسط عکس قرار می گیرد.';
+$lang['Delete multiple size images'] = 'پاک کردن عکس های چند سایزه';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'ویژگی ها شامل باز کردن گالری، ساخت آلبوم و آپلود عکس می باشند.';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'برای عکس هایی که برش داده شده اند، برای نمونه "مربعی"، Piwigo به بهترین حالت ممکن نقطه ی طلایی (Center of Interest) عکس را شناسایی می کند.';
+$lang['Generate multiple size images'] = 'تولید کردن عکس های چند سایزه';
+$lang['No group is permitted to see this private album'] = 'هیچ گروهی اجازه ی دیدن این آلبوم خصوصی را ندارد';
+$lang['Permission granted for groups'] = 'اجازه ی دسترسی به گروه ها داده شد';
+$lang['Permission granted for users'] = 'اجازه ی دسترسی به کاربران داده شد';
+$lang['Photo sizes with crop'] = 'سایز عکس برش داده شده';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (سیستم مدیریت گالری از راه دور برای Android) یک سیستم متن باز (Open Source) برای Piwigo می باشد (GPL v3) که بر روی Android قابل اجراست.';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'برای انتخاب یک نقطه ی طلایی (Center of Interest) تازه، با موس خود روی منطقه ی دلخواهی از عکس کلیک کنید.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'افزونه ی فرستنده ی Piwigo به شما اجازه ی ساخت آلبوم و فرستادن عکس بر روی گالری را می دهد.';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'نقطه ی طلایی (Center of Interest) مهم ترین محدوده ی عکس می باشد.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'برای فرستادن عکس های خود از digiKam به Piwigo، کافیست نرم افزار digiKam و افزونه های Kipi را نصب کنید.';
+$lang['any visitor can see this album'] = 'هر بازدید کننده ای می تواند این آلبوم را ببیند';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam یک نرم افزار رایگان پیشرفته برای مدیریت عکس های دیجیتالی بر روی سیستم عامل های لینوکس، ویندوز و MacOSX می باشد.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam برای عکاس هایی که می خواهند عکس ها را مشاهده، مدیریت، ویرایش و سازمان دهی کنند یا به آنها برچسب بزنند و آنها را به اشتراک بگذارند طراحی شده است.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto نرم افزار مدیریت عکس پیشفرض در سیستم عامل MacOSX می باشد. افزونه ی فرستنده ی Piwigo به شما اجازه ی ساخت آلبوم های تازه و فرستادن عکس ها از iPhone به Piwigo بطور مستقیم را می دهد.';
+$lang['include photos with lower privacy level'] = 'شامل عکس هایی که سطح خصوصی پایینی دارند نیز بشود';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'بازدید کننده ها باید وارد شوند و دسترسی مناسب را داشته باشند تا این آلبوم را ببینند';
 ?>