Index: extensions/Register_FluxBB/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/Register_FluxBB/trunk/language/it_IT/plugin.lang.php	(revision 15492)
+++ extensions/Register_FluxBB/trunk/language/it_IT/plugin.lang.php	(revision 15492)
@@ -0,0 +1,76 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Advise_Check_Dup'] = '<b>Impossibile continuare la sincronizzazione se avete duplicati negli account utente di Piwigo o FluxBB.</b><br><br>';
+$lang['Advise_FluxBB_Dup'] = 'ATTENZIONE! Devi fare queste correzioni in FluxBB prima di continuare<br>utilizza le icone per eliminare gli utenti da FluxBB e risolvere il problema.</b>';
+$lang['Advise_PWG_Dup'] = '<b>ATTENZIONE! Devi fare queste correzioni in Piwigo prima di continuare<br>utilizza Piwigo gestione utenti per risolvere il problema.';
+$lang['Audit_Btn'] = 'Verifica';
+$lang['Audit_FluxBB_Dup'] = '<b>Audit della tabella accounts di FluxBB</b>';
+$lang['Audit_Link_Bad'] = '<b>Audit dei collegamenti difettosi tra gli accounts Piwigo e FluxBB</b>';
+$lang['Audit_Link_Break'] = '<b>Audit dei collegamenti riparabili tra gli accounts Piwigo e FluxBB</b>';
+$lang['Audit_PWG2FluxBB'] = '<b>Audit degli accounts esistenti in Piwigo e mancanti in FluxBB</b>';
+$lang['Audit_PWG_Dup'] = '<b>Audit della tabella accounts di Piwigo</b>';
+$lang['Audit_Synchro_OK'] = '<b>Data sincronizzazione OK</b>';
+$lang['Audit_Synchro'] = '<b>Audit della sincronizzazione delle password e indirizzi e-mail tra gli accounts Piwigo e FluxBB</b>';
+$lang['Config_Disclaimer'] = 'Controllare le impostazioni della vostra installazione FluxBB e correggerle, se necessario.<br>
+Se è il caso, cambia il comportamento del plugin come tua convenienza.';
+$lang['Config_Title'] = 'Setup plugin';
+$lang['Confirm_false'] = '--&gt; Conferma obbligatoria prima delle azioni di audit';
+$lang['Confirm_true'] = '--&gt; Elimina conferma';
+$lang['Confirm'] = 'Eliminare la conferma sulle azioni del controllo di amministrazione.';
+$lang['Del_Pt_false'] = '--&gt; Non cancellare discussioni e messaggi';
+$lang['Del_Pt_true'] = '--&gt; Elimina tutto';
+$lang['Del_Pt'] = 'Rimozione di discussioni e messaggi quando l\'utente viene eliminato.';
+$lang['Details_false'] = '--&gt; Mostra la maggior parte dei risultati delle operazioni';
+$lang['Details_true'] = '--&gt; Visualizza tutti i dettagli dei risultati delle operazioni.';
+$lang['Details'] = 'Livello del dettaglio rapporti delle operazioni.';
+$lang['Error_FluxBB_Dup'] = '<b>Errore nella tabella degli accounts FluxBB, ci sono duplicati:</b>';
+$lang['Error_Link_Break'] = '<b>Collegamenti interrotti tra gli accounts Piwigo e FluxBB:</ b>';
+$lang['Error_Link_Dead'] = '<b>Errore nella tabella di collegamento, link inattivi:</b>';
+$lang['Error_Link_Del'] = '<b>Errore nella tabella di collegamento tra 2 utenti:</b>';
+$lang['Error_Link_Dup'] = '<b>Errore nella tabella di collegamento, ci sono duplicati:</b>';
+$lang['Error_PWG2FluxBB'] = '<b>L\'account Piwigo non è in FluxBB</b>';
+$lang['Error_PWG_Dup'] = '<b>Errore nella tabella degli account Piwigo, ci sono duplicati:</b>';
+$lang['Error_Synchro'] = '<b>Errata sincronizzazione account</b>';
+$lang['Guest'] = 'Username dell\'utente Guest in FluxBB.';
+$lang['Link_Dead'] = 'Togliere di link inattivi';
+$lang['Link_Del'] = 'Rimozione del link:';
+$lang['Link_Dup'] = 'Rimozione dei duplicati';
+$lang['New_Link'] = 'Account collegati:';
+$lang['Prefix'] = 'Prefisso tabelle FluxBB:';
+$lang['Sync_Btn'] = 'Sincronizzazione';
+$lang['Sync_Check_Dup'] = '<b>Analisi delle tabelle account utente di Piwigo e FluxBB per il controllo dei duplicati</b>';
+$lang['Sync_DataUser'] = '<b>Analisi di password e indirizzi e-mail tra i conti in Piwigo e FluxBB</b>';
+$lang['Sync_FluxBB2PWG'] = '<b>Analisi dei conti esistenti in FluxBB e mancanti in Piwigo</b>';
+$lang['Sync_Link_Bad'] = '<b>Analisi delle errate relazioni tra gli accounts in Piwigo e FluxBB</b>';
+$lang['Sync_Link_Break'] = '<b>Analisi dei collegamenti riparabili tra gli accounts in Piwigo e FluxBB</b>';
+$lang['Sync_OK'] = 'Sincronizzazione OK<br><br>';
+$lang['Sync_PWG2FluxBB'] = '<b>Analisi dei conti esistenti in Piwigo e mancanti in FluxBB</b>';
+$lang['Sync_Title'] = 'Sincronizza gli account da Piwigo a FluxBB';
+$lang['Sync_User'] = 'Sincronizzazione accounts:';
+$lang['Tab_Info'] = 'Istruzioni';
+$lang['Tab_Manage'] = 'Fase 1: Configurazione plugin';
+$lang['Tab_Migration'] = 'Fase 2: Migrazione degli accounts';
+$lang['Tab_Synchro'] = 'Manutenzione: Risincronizzazione accounts';
+$lang['Title'] = 'Registrazione FluxBB';
+$lang['save_config'] = 'Impostazioni salvate';
+?>