Index: /extensions/Shadogo/trunk/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/Shadogo/trunk/language/uk_UA/plugin.lang.php	(revision 15513)
+++ /extensions/Shadogo/trunk/language/uk_UA/plugin.lang.php	(revision 15513)
@@ -0,0 +1,56 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['shadogo_cancel'] = 'Відмінити';
+$lang['shadogo_content'] = 'Переглянути вміст';
+$lang['shadogo_display_expert_params'] = 'Покажіть досвідчені параметри';
+$lang['shadogo_hdcontent_config'] = 'Конфігурація вмісту HD';
+$lang['shadogo_hdcontent_inoverlay'] = 'Відобразити HD контенту в вікні накладення';
+$lang['shadogo_hdcontent_pattern'] = 'Зразок вмісту HD';
+$lang['shadogo_hdcontent_replacement'] = 'Заміна коду HD';
+$lang['shadogo_mediafile_pattern'] = 'Зразок медіа-файлу';
+$lang['shadogo_mediaplayer_config'] = 'Конфігурація Mediaplayer';
+$lang['shadogo_mediaplayer_content'] = 'Показати плеєр на сторінці вмісту';
+$lang['shadogo_note_warm_restore'] = 'Будь ласка, не забудьте зберегти відновлену конфігурацію';
+$lang['shadogo_overlay_addtobasket'] = 'Дозволити управління кошику';
+$lang['shadogo_overlay_config'] = 'Вікно налаштувань накладання';
+$lang['shadogo_overlay_download'] = 'Дозволити завантаження зображення HD';
+$lang['shadogo_overlay_favorites'] = 'Дозволити управління обраним';
+$lang['shadogo_overlay_hdpicture'] = 'Увімкнути відображення зображення HD';
+$lang['shadogo_overlaylibs'] = 'Виберіть бібліотеку модального накладення';
+$lang['shadogo_overlaythemes'] = 'Тема накладення вікна';
+$lang['shadogo_play'] = 'Грати';
+$lang['shadogo_restore'] = 'Відновити значення за замовчуванням';
+$lang['shadogo_save'] = 'Зберегти';
+$lang['shadogo_slideshow_config'] = 'Конфігурація слайд-шоу';
+$lang['shadogo_slideshow_inoverlay'] = 'Відобразити слайд-шоу в вікно накладення';
+$lang['shadogo_slideshow_pattern'] = 'Зразок слайд-шоу';
+$lang['shadogo_slideshow_replacement'] = 'Заміна коду слайд-шоу';
+$lang['shadogo_thumbnail_buttons_search'] = 'Код шаблону, щоб замінити вміст файлу thumbnail_shadogo_buttons.tpl';
+$lang['shadogo_thumbnail_config'] = 'Конфігурація мініатюри';
+$lang['shadogo_thumbnail_content_icon'] = 'Показати значок зміст в легенді';
+$lang['shadogo_thumbnail_content_inoverlay'] = 'Відображення вмісту мініатюр  у вікно накладення';
+$lang['shadogo_thumbnail_contentpage_inoverlay'] = 'Покажіть погоджувальну сторінку в вікні накладення';
+$lang['shadogo_thumbnail_hrefcontent_search'] = 'Код шаблону, щоб замінити вміст файлу thumbnail_shadogo_content.tpl';
+$lang['shadogo_thumbnail_label'] = 'Показати мініатюру етикетки';
+$lang['shadogo_thumbnail_player_icon'] = 'Показати значок гравця в легенді';
+?>