Index: /extensions/Register_FluxBB/trunk/language/ru_RU/index.php
===================================================================
--- /extensions/Register_FluxBB/trunk/language/ru_RU/index.php	(revision 15516)
+++ /extensions/Register_FluxBB/trunk/language/ru_RU/index.php	(revision 15516)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Register_FluxBB/trunk/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/trunk/language/ru_RU/plugin.lang.php	(revision 15516)
+++ /extensions/Register_FluxBB/trunk/language/ru_RU/plugin.lang.php	(revision 15516)
@@ -0,0 +1,46 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Config_Disclaimer'] = 'Проверьте настройки FluxBB и исправьте их, если это необходимо. <br>
+Подстройте поведение плагина чтобы было удобно.';
+$lang['Config_Title'] = 'Установка плагина';
+$lang['Del_Pt_false'] = ' --&gt; Не удалять темы и сообщения';
+$lang['Del_Pt_true'] = ' --&gt; Удалить все';
+$lang['Error_Synchro_Mail'] = 'в email';
+$lang['Error_Synchro_Pswd'] = 'в пароле';
+$lang['Error_Synchro'] = '<b>Ошибка синхронизации учетной записи:</b> ';
+$lang['Guest'] = 'Имя пользователя для гостевого входа.';
+$lang['Mig_Btn'] = 'Перенос';
+$lang['Mig_End'] = '<b>Перенос выполнен!</b>';
+$lang['Mig_Start'] = '<b>Перенос учетных записей из Piwigo в FluxBB</b>';
+$lang['Mig_Title'] = 'Перенос учетных записей из Piwigo в FluxBB';
+$lang['Prefix'] = 'Префикс таблиц FluxBB:';
+$lang['Sync_Btn'] = 'Синхронизация';
+$lang['Sync_OK'] = 'Синхронизация успешно завершена<br><br>';
+$lang['Sync_User'] = 'Синхронизация учетных записей:';
+$lang['Tab_Info'] = 'Инструкции';
+$lang['Tab_Manage'] = 'Шаг 1: Настройка плагина';
+$lang['Tab_Migration'] = 'Шаг 2: Перенос учетных записей';
+$lang['Tab_Synchro'] = 'Обслуживание: синхронизация учетных записей';
+$lang['Title'] = 'Регистрация FluxBB';
+$lang['save_config'] = 'Настройки сохранены';
+?>