Index: /extensions/pwgCumulus/language/el_GR/index.php
===================================================================
--- /extensions/pwgCumulus/language/el_GR/index.php	(revision 15525)
+++ /extensions/pwgCumulus/language/el_GR/index.php	(revision 15525)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pwgCumulus/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/el_GR/plugin.lang.php	(revision 15525)
+++ /extensions/pwgCumulus/language/el_GR/plugin.lang.php	(revision 15525)
@@ -0,0 +1,55 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Add tags cloud in main menu'] = 'Προσθήκη νέφους ετικετών στο κύριο μενού';
+$lang['After'] = 'Μετά';
+$lang['Animation colors'] = 'Χρώματα animation';
+$lang['Animation configuration : size, tags colors, tags size'] = 'Διαμόρφωση animation: το μέγεθος, χρώμα ετικετών, το μέγεθος ετικετών';
+$lang['Animation width and height'] = 'Animation πλάτος και ύψος';
+$lang['Background color updated'] = 'Χρώμα φόντου ενημερώθηκε';
+$lang['Background color'] = 'Χρώμα φόντου';
+$lang['Before'] = 'Πριν';
+$lang['Check the checkbox to add tags cloud in main menu'] = 'Ελέγξτε το πλαίσιο ελέγχου για να προσθέσετε νέφος ετικετών στο κύριο μενού';
+$lang['Check the checkbox to use transparent mode for background'] = 'Ελέγξτε το πλαίσιο ελέγχου να χρησιμοποιεί λειτουργία διαφανή  στο φόντο';
+$lang['Coefficient for tags size updated'] = 'Συντελεστής ενημέρωσης για το μέγεθος του νέφους ετικετών';
+$lang['Coefficient'] = 'Συντελεστής';
+$lang['Color 1 updated'] = 'Το Χρώμα 1 ενημερώθηκε';
+$lang['Color 1'] = 'Χρώμα 1';
+$lang['Color 2 updated'] = 'Το Χρώμα 2 ενημερώθηκε';
+$lang['Color 2'] = 'Χρώμα 2';
+$lang['Cumulus Tags Cloud Plugin'] = 'Πρόσθετο Cumulus Tags Cloud';
+$lang['Current release:'] = 'Τρέχουσα έκδοση:';
+$lang['Dashboard'] = 'Πίνακας εργαλείων';
+$lang['Height updated'] = 'Το Ύψος ενημερώθηκε';
+$lang['Height'] = 'Ύψος';
+$lang['Menu'] = 'Μενού';
+$lang['Mouseover color updated'] = 'Το Χρώμα mouseover ενημερώθηκε';
+$lang['Mouseover color'] = 'Χρώμα mouseover';
+$lang['Position in main menu has been updated'] = 'Η Θέση στο βασικό μενού έχει ενημερωθεί';
+$lang['Position'] = 'Θέση';
+$lang['Tags cloud added in main menu'] = 'Το Νέφος Ετικετών προστέθηκε στο κύριο μενού';
+$lang['Tags cloud in main menu?'] = 'Νέφος ετικετών στο κύριο μενού;';
+$lang['Tags cloud removed from main menu'] = 'Νέφος ετικετών αφαιρέθηκε από το κύριο μενού';
+$lang['Tags page'] = 'Σελίδα Ετικετών';
+$lang['Tags size'] = 'Μέγεθος Ετικετών';
+$lang['block'] = 'μπλοκ';
+?>