Index: /extensions/photoWidget/language/el_GR/description.txt
===================================================================
--- /extensions/photoWidget/language/el_GR/description.txt	(revision 15537)
+++ /extensions/photoWidget/language/el_GR/description.txt	(revision 15537)
@@ -0,0 +1,1 @@
+προσθέτει ένα καταπληκτικό 3D animation για τις εικόνες
Index: /extensions/photoWidget/language/el_GR/index.php
===================================================================
--- /extensions/photoWidget/language/el_GR/index.php	(revision 15537)
+++ /extensions/photoWidget/language/el_GR/index.php	(revision 15537)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/photoWidget/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/el_GR/plugin.lang.php	(revision 15537)
+++ /extensions/photoWidget/language/el_GR/plugin.lang.php	(revision 15537)
@@ -0,0 +1,45 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['All categories'] = 'Όλα τα λευκώματα';
+$lang['Animation background color'] = 'Χρώμα του φόντου στο Animation';
+$lang['Animation size'] = 'Μέγεθος Animation';
+$lang['Applicable categorie(s)'] = 'Λεύκωμα(τα) που εφαρμόζεται';
+$lang['Background color of animation has been updated'] = 'Χρώμα φόντου των animation έχει ενημερωθεί';
+$lang['Color'] = 'Χρώμα ';
+$lang['Height has been updated'] = 'Το Ύψος έχει ενημερωθεί';
+$lang['Height'] = 'Ύψος';
+$lang['Main configuration'] = 'Κύρια διαμόρφωση';
+$lang['No'] = 'Όχι';
+$lang['Photo Widget Plugin'] = 'Πρόσθετο Photo Widget';
+$lang['Submit'] = 'Υποβολή';
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Αυτό το πρόσθετο απεικονίζει φωτογραφίες χρησιμοποιώντας ταινία flash που τις περιστρέφεται σε 3D. Λειτουργεί σαν κανονικό λεύκωμα, αλλά με ένα πιο εκπληκτικό και συναρπαστικό τρόπο.';
+$lang['This widget requires Flash Player 9 or better'] = 'Αυτό το widget απαιτεί Flash Player 9 ή ανώτερο';
+$lang['Width has been updated'] = 'Το Πλάτος έχει ενημερωθεί';
+$lang['Width'] = 'Πλάτος';
+$lang['Yes'] = 'Ναι';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Μπορείτε να επιλέξετε αυτήν τη λειτουργία για την εμφάνιση ενός, πολλών ή όλων των άλμπουμ';
+$lang['You choose that mode for'] = 'Μπορείτε να επιλέξετε αυτή την λειτουργία για';
+$lang['You must choose at least one category'] = 'Πρέπει να επιλέξετε τουλάχιστον ένα λεύκωμα';
+$lang['one category'] = 'ένα λεύκωμα';
+$lang['severals categories'] = 'διάφορα λευκώματα';
+?>