Index: /extensions/pwgCumulus/language/nl_NL/description.txt
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/description.txt	(revision 15633)
+++ /extensions/pwgCumulus/language/nl_NL/description.txt	(revision 15634)
@@ -1,1 +1,1 @@
-Voeg een geweldige tag-wolk toe.
+Voeg een geweldige trefwoordenwolk toe.
Index: /extensions/pwgCumulus/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 15633)
+++ /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 15634)
@@ -20,23 +20,47 @@
 // +-----------------------------------------------------------------------+
 
-$lang['Cumulus Tags Cloud Plugin'] = "Stapelwolk tag-wolk plugin";
-$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "De plugin geeft tags weer met buhulp van een flash filmpje die hem roteert in 3D. Het werkt als een normale tag-wolk, maar dan op een geweldige manier..";
-$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Je kan deze modus kiezen als standaard modus door het toe te voegen (of te veranderen) in het configuratie bestand.";
-$lang['Animation width and height'] = "Animatie breedte en hoogte"; 
+$lang['Cumulus Tags Cloud Plugin'] = 'Cumulus trefwoordenwolk-plugin';
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = 'De plugin geeft trefwoorden weer met behulp van een flash-filmpje dat deze roteert in 3D. Het werkt als een normale trefwoordenwolk, maar dan op een geweldige manier..';
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = 'Je kunt deze modus kiezen als standaardmodus door hem toe te voegen (of te veranderen) in het configuratiebestand.';
+$lang['Animation width and height'] = 'Animatiebreedte en -hoogte';
 $lang['Width'] = "Breedte";
 $lang['Height'] = "Hoogte";
-$lang['Tags size'] = "Tag grootte";
-$lang['Coefficient'] = "Coefficient";
-$lang['Width updated'] = "Breedte geupdatet";
-$lang['Height updated'] = "Hoogte geupdatet";
-$lang['Coefficient for tags size updated'] = "Coefficient voor tag grootte geupdatet";
-$lang['show tag cloud in cumulus mode'] = "laat de tag zien in stapelwolk modus";
-$lang['Animation colors'] = "Animatie kleuren";
+$lang['Tags size'] = 'Trefwoordengrootte';
+$lang['Coefficient'] = 'Coefficiënt';
+$lang['Width updated'] = 'Breedte bijgewerkt';
+$lang['Height updated'] = 'Hoogte bijgewerkt';
+$lang['Coefficient for tags size updated'] = 'Coefficiënt voor tag grootte bijgewerkt';
+$lang['Animation colors'] = 'Animatiekleuren';
 $lang['Color 1'] = "Kleur 1";
 $lang['Color 2'] = "Kleur 2";
-$lang['Mouseover color'] = "Muis aanwijs kleur";
-$lang['Color 1 updated'] = "Kleur 1 geupdatet";
-$lang['Color 2 updated'] = "Kleur 2 geupdatet";
-$lang['Mouseover color updated'] = "Muis aanwijs kleur geupdatet";
+$lang['Mouseover color'] = 'Muisaanwijskleur';
+$lang['Color 1 updated'] = 'Kleur 1 bijgewerkt';
+$lang['Color 2 updated'] = 'Kleur 2 bijgewerkt';
+$lang['Mouseover color updated'] = 'Muisaanwijskleur bijgewerkt';
 
+$lang['Add tags cloud in main menu'] = 'Voeg de trefwoordenwolk toe aan het hoofdmenu';
+$lang['After'] = 'Na';
+$lang['Animation configuration : size, tags colors, tags size'] = 'Animatieconfiguratie: grootte, trefwoordkleuren, trefwoordgrootte';
+$lang['Background color updated'] = 'Achtergrondkleur bijgewerkt';
+$lang['Background color'] = 'Achtergrondkleur';
+$lang['Before'] = 'Voor';
+$lang['Check the checkbox to add tags cloud in main menu'] = 'Vink het selectievakje aan om de trefwoordenwolk aan het hoofdmenu toe te voegen';
+$lang['Check the checkbox to use transparent mode for background'] = 'Vink het selectievakje aan om de transparantiemodus voor de achtergrond te gebruiken';
+$lang['Current release:'] = 'Huidige versie:';
+$lang['Dashboard'] = 'Dashboard';
+$lang['Menu'] = 'Menu';
+$lang['Position in main menu has been updated'] = 'De positie in het hoofdmenu is bijgewerkt';
+$lang['Position'] = 'Positie';
+$lang['Tags cloud added in main menu'] = 'De trefwoordenwolk is toegevoegd aan het hoofdmenu';
+$lang['Tags cloud in main menu?'] = 'Trefwoordenwolk in het hoofdmenu?';
+$lang['Tags cloud removed from main menu'] = 'Trefwoordenwolk verwijderd uit het hoofdmenu';
+$lang['Tags page'] = 'Trefwoordenpagina';
+$lang['Transparent mode for background'] = 'Transparantiemodus voor de achtergrond';
+$lang['Transparent mode is not used'] = 'De transparantiemodus wordt niet gebruikt';
+$lang['Transparent mode is used'] = 'De transparantiemodus wordt gebruikt';
+$lang['You can choose to add cumulus tag cloud in menu. You can define tags cloud position in the main menu by choosing its position related to another block'] = 'Je kunt er voor kiezen om de de cumulus trefwoordenwolk in het menu toe te voegen. Je kunt de plek van de trefwoordenwolk in het hoofdmenu bepalen door zijn positie ten opzichte van een ander blok te kiezen';
+$lang['block'] = 'blok';
+$lang['cloud'] = 'wolk';
+$lang['cumulus cloud'] = 'cumuluswolk';
+$lang['show tag cloud'] = 'toon trefwoordenwolk';
 ?>