Index: /extensions/ExtendedDescription/language/el_GR/help.html
===================================================================
--- /extensions/ExtendedDescription/language/el_GR/help.html	(revision 15658)
+++ /extensions/ExtendedDescription/language/el_GR/help.html	(revision 15658)
@@ -0,0 +1,108 @@
+<h2>&Epsilon;&kappa;&tau;&epsilon;&tau;&alpha;&mu;έ&nu;&eta; &Pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή</h2>
+
+<h3>&Pi;&omicron;&lambda;&upsilon;&gamma;&lambda;&omega;&sigma;&sigma;&iota;&kappa;έ&sigmaf; &Pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;έ&sigmaf;</h3>
+
+<p>&Omicron;&iota; &pi;&omicron;&lambda;&upsilon;&gamma;&lambda;&omega;&sigma;&sigma;&iota;&kappa;έ&sigmaf; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;έ&sigmaf; &tau;&omicron;&pi;&omicron;&theta;&epsilon;&tau;&omicron;ύ&nu;&tau;&alpha;&iota; &mu;&epsilon;&tau;&alpha;&xi;ύ &tau;&omega;&nu; &epsilon;&tau;&iota;&kappa;&epsilon;&tau;ώ&nu; [lang=xx] &kappa;&alpha;&iota; [/lang], ό&pi;&omicron;&upsilon; xx &epsilon;ί&nu;&alpha;&iota; &omicron; &kappa;&omega;&delta;&iota;&kappa;ό&sigmaf; &tau;&eta;&sigmaf; &gamma;&lambda;ώ&sigma;&sigma;&alpha;&sigmaf; (&gamma;&iota;&alpha; &pi;&alpha;&rho;ά&delta;&epsilon;&iota;&gamma;&mu;&alpha; en, es, fr). &Upsilon;&pi;ά&rho;&chi;&omicron;&upsilon;&nu; &epsilon;&pi;ί&sigma;&eta;&sigmaf; 2 &epsilon;&iota;&delta;&iota;&kappa;έ&sigmaf; &gamma;&lambda;ώ&sigma;&sigma;&epsilon;&sigmaf; : [lang=default] &kappa;&alpha;&iota; [lang=all]</p>
+
+<ul>
+  <li><b>&Pi;&alpha;&rho;ά&delta;&epsilon;&iota;&gamma;&mu;&alpha;</b>:<br>
+  <br>
+<code>[lang=default] &Pi;&rho;&omicron;&epsilon;&pi;&iota;&lambda;&epsilon;&gamma;&mu;έ&nu;&eta; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή  [/lang]<br>
+[lang=en] description in english [/lang]<br>
+[lang=de] deutsche Beschreibung [/lang]</code>
+</li>
+</ul>
+
+<p>&Eta; &pi;&rho;&omicron;&epsilon;&pi;&iota;&lambda;&epsilon;&gamma;&mu;έ&nu;&eta; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή &theta;&alpha; &chi;&rho;&eta;&sigma;&iota;&mu;&omicron;&pi;&omicron;&iota;&eta;&theta;&epsilon;ί &alpha;&nu; &eta; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή &delta;&epsilon;&nu; &epsilon;ί&nu;&alpha;&iota; &delta;&iota;&alpha;&theta;έ&sigma;&iota;&mu;&eta; &sigma;&tau;&omicron; &sigma;&upsilon;&nu;&delta;&epsilon;&delta;&epsilon;&mu;έ&nu;&omicron; &chi;&rho;ή&sigma;&tau;&eta; &pi;&omicron;&upsilon; έ&chi;&epsilon;&iota; &epsilon;&pi;&iota;&lambda;έ&xi;&epsilon;&iota; &gamma;&lambda;ώ&sigma;&sigma;&alpha;.
+&Epsilon;&alpha;&nu; [lang=default] &delta;&epsilon;&nu; &upsilon;&pi;ά&rho;&chi;&epsilon;&iota;, &omicron;&tau;&iota;&delta;ή&pi;&omicron;&tau;&epsilon; έ&xi;&omega; &alpha;&pi;ό &tau;&eta;&nu; &epsilon;&tau;&iota;&kappa;έ&tau;&alpha; [lang] &theta;&alpha; &pi;&rho;έ&pi;&epsilon;&iota; &nu;&alpha; &theta;&epsilon;&omega;&rho;&epsilon;ί&tau;&alpha;&iota; &omega;&sigmaf; &eta; &pi;&rho;&omicron;&epsilon;&pi;&iota;&lambda;&epsilon;&gamma;&mu;έ&nu;&eta; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή.</p>
+
+<p><u>&Epsilon;&iota;&delta;&iota;&kappa;ή &gamma;&lambda;ώ&sigma;&sigma;&alpha; <i>ό&lambda;&alpha;</i></u>: &omicron;&tau;&iota;&delta;ή&pi;&omicron;&tau;&epsilon; &mu;έ&sigma;&alpha; &sigma;&tau;&omicron; [lang=all] &theta;&alpha; &pi;&rho;έ&pi;&epsilon;&iota; &nu;&alpha; &pi;&epsilon;&rho;&iota;&lambda;&alpha;&mu;&beta;ά&nu;&epsilon;&tau;&alpha;&iota; &sigma;&tau;&eta;&nu; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή, &gamma;&iota;&alpha; &omicron;&pi;&omicron;&iota;&omicron;&nu;&delta;ή&pi;&omicron;&tau;&epsilon; &sigma;&upsilon;&nu;&delta;&epsilon;&delta;&epsilon;&mu;έ&nu;&omicron; &chi;&rho;ή&sigma;&tau;&eta; &pi;&omicron;&upsilon; έ&chi;&epsilon;&iota; &epsilon;&pi;&iota;&lambda;έ&xi;&epsilon;&iota; &gamma;&lambda;ώ&sigma;&sigma;&alpha;.
+&Alpha;&upsilon;&tau;ό &epsilon;ί&nu;&alpha;&iota; &chi;&rho;ή&sigma;&iota;&mu;&omicron; &kappa;&upsilon;&rho;ί&omega;&sigmaf; &gamma;&iota;&alpha; &nu;&alpha; &sigma;&upsilon;&mu;&pi;&epsilon;&rho;&iota;&lambda;ά&beta;&epsilon;&iota; HTML / JavaScript &kappa;ώ&delta;&iota;&kappa;&alpha; &mu;έ&sigma;&alpha; &sigma;&epsilon; &mu;&iota;&alpha; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή.</p>
+
+<h3>&Epsilon;&kappa;&tau;&epsilon;&tau;&alpha;&mu;έ&nu;&epsilon;&sigmaf; &Pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;έ&sigmaf;</h3>
+
+<p>&Epsilon;&tau;&iota;&kappa;έ&tau;&epsilon;&sigmaf; &epsilon;&kappa;&tau;&epsilon;&tau;&alpha;&mu;έ&nu;&eta;&sigmaf; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή&sigmaf; &delta;ί&nu;&omicron;&upsilon;&nu; &tau;&eta;&nu; &delta;&upsilon;&nu;&alpha;&tau;ό&tau;&eta;&tau;&alpha; &nu;&alpha; έ&chi;&omicron;&upsilon;&mu;&epsilon; &mu;&iota;&alpha; &sigma;ύ&nu;&tau;&omicron;&mu;&eta; &pi;&epsilon;&rho;&iota;&gamma;&rho;&alpha;&phi;ή &gamma;&iota;&alpha; &tau;&omicron; &lambda;&epsilon;ύ&kappa;&omega;&mu;&alpha; &epsilon;&kappa;&tau;ό&sigmaf; &tau;&omicron;&upsilon; &lambda;&epsilon;&upsilon;&kappa;ώ&mu;&alpha;&tau;&omicron;&sigmaf;,
+a longer description for the album inside the album page,
+or even 2 distinct descriptions inside the album page.</p>
+
+<p>tag &lt;!--more--&gt; adds text to the short description.<br>
+tag &lt;!--complete--&gt; let the user have 2 distinct descriptions.<br>
+tag &lt;!--up-down--&gt; let the user have a top and a bottom description.</p>
+
+<ul>
+  <li><b>tag &lt;!--more--&gt;</b></li>
+</ul>
+<code>short description &lt;!--more--&gt; long description</code>
+<p>Only the short description is displayed outside the album. On the album page, you will see short description + long description.</p>
+
+<ul>
+  <li><b>tag &lt;!--complete--&gt;</b></li>
+</ul>
+<code>short description &lt;!--complete--&gt; long description</code>
+<p>Only the short description is displayed outside the album. On the album page, you will only see the long description, so you have 2 distinct descriptions.</p>
+
+<ul>
+  <li><b>tag &lt;!--up-down--&gt;</b></li>
+</ul>
+<code>top description &lt;!--up-down--&gt; bottom description</code>
+<p>Only the top description is displayed outside the album.  On the album page, the top description is displayed above the thumbnails, the bottom description is displayed below the thumbnails.</p>
+
+<h3>Insert a album or a photo</h3>
+
+<ul>
+  <li><b>tag [cat=xx]</b></li>
+</ul>
+<p>This tag inserts a album in the description, where xx is the album identifier.</p>
+
+<ul>
+  <li><b>tag [img=xx1 xx2 xxN;yyyy;name]</b></li>
+</ul>
+<p>This tag allows to insert one or more thumbnail in the description, with:<br><br>
+- xx the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.
+<br>
+- yyyy (optional) : can take any value among {left, right}.</p>
+- name (optional) : can take any value among {name, titleName}. If tagged, with <i>name</i> the name of the picture is diplayed under the thumbnail, with <i>titleName</i> the photo markup &lt;title&gt; is fill with the name.</p>
+
+
+<h3>Hide a album</h3>
+
+<p>Use tag <b>&lt;!--hidden--&gt;</b> in the album name:<br>
+<br>
+- it won't be displayed in the parent album<br>
+- it remains visible in the album menu</p>
+
+<h3>Hide a album in menu</h3>
+
+<p>Use tag <b>&lt;!--mb-hidden--&gt;</b> in the album name:<br>
+<br>
+- it won't be displayed in the album menu<br>
+- it remains visible in the parent album</p>
+
+<h3>Hide a photo</h3>
+
+<p>Use tag <b>&lt;!--hidden--&gt;</b> in the photo name:<br>
+<br>
+- it won't be displayed on the thumbnails page<br>
+- it remains visible inside the album</p>
+
+<h3>Redirected album</h3>
+
+<ul>
+  <li><b>[redirect http://piwigo.org]</b></li>
+</ul>
+<p>Insert this tag into a album description to redirect it to the URL of your choice.</p>
+
+<ul>
+  <li><b>[redirect img=xx]</b></li>
+</ul>
+<p>Redirect to a photo of your gallery where xx is the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.</p>
+
+<ul>
+  <li><b>[redirect cat=xx]</b></li>
+</ul>
+<p>Redirect to a album of your gallery where xx the album identifier.</p>
+
+<ul>
+  <li><b>[redirect search=xx]</b></li>
+</ul>
+<p>Redirect to a search page of your gallery where xx is the search identifier.</p>